=== sage/src/doc/Makefile ===
all:
	@echo "Please build the doc using either 'make doc' from SAGE_ROOT, or"
	@echo "'sage -docbuild all html'. See 'sage -docbuild help' for more informations."
clean:
	rm -rf en/reference/*/sage
	rm -rf en/reference/*/sagenb
	rm -rf en/reference/sage
	rm -rf en/reference/sagenb
	rm -f common/*.pyc
