=== debian/changelog ===
sagemath (8.1-7ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use gdb instead of gdb-python2 as a build dependency.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 20 Mar 2018 08:50:58 +0100

sagemath (8.1-7) unstable; urgency=medium

  [ Ximin Luo ]
  * Add dot2tex to Suggests, needed by GenericGraph.layout_graphviz().
  * Work around Singular bug on mips64el (#892622) by disabling ASLR.
  * Remove armel one-thread workaround because it didn't work.
  * Use pkg-config to check for freetype2. (Closes: #892440)

 -- Tobias Hansen <thansen@debian.org>  Sun, 18 Mar 2018 21:04:20 +0000

sagemath (8.1-6ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Use gdb instead of gdb-python2 as a build dependency.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 14 Mar 2018 11:27:03 +0100

sagemath (8.1-6) unstable; urgency=medium

  * Add patch dt-version-glpk-4.65-ignore-warnings.patch.

 -- Tobias Hansen <thansen@debian.org>  Wed, 28 Feb 2018 16:23:41 +0000

sagemath (8.1-5) unstable; urgency=medium

  * Restrict to one thread on armel to try to avoid buildds getting stuck.

 -- Tobias Hansen <thansen@debian.org>  Thu, 22 Feb 2018 20:28:34 +0000

sagemath (8.1-4) unstable; urgency=medium

  * Bump gf2x build-dependency to pull in fixes for illegal instruction
    on older amd64 and i386 machines.
  * Increase the allowed test failures from 50 up to 62. This is mostly to
    handle certain arches that have 11 extra failures; most arches should
    stay below 50.
    - Generally we have to do this increasing when the versions of the
      Build-Deps in Debian grow newer and further apart from what upstream
      expects; and can reset the number back down to 50 or less when a new
      upstream version is released.

 -- Ximin Luo <infinity0@debian.org>  Tue, 13 Feb 2018 11:28:20 +0100

sagemath (8.1-3ubuntu1) bionic; urgency=medium

  * Use gdb instead of gdb-python2 as a build dependency.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Feb 2018 10:42:53 +0100

sagemath (8.1-3) unstable; urgency=medium

  [ Tobias Hansen ]
  * Update Vcs-* links for salsa.
  * New patches:
    - u0-version-mpfr-4.0.patch
      Fixes for libmpfr 4.0.
    - u0-version-matplotlib-2.1.0.patch
      New dependencies:
      - python-subprocess32
      - python-backports.functools-lru-cache
  * Modified patches:
    - dt-more-fix-test-cases.patch
      Fix ordering issue in two tests in the documentation.

  [ Ximin Luo ]
  * Tests now pass fine after fixes in other packages. (Closes: #888912)
  * Modified patches:
    - dt-more-fix-test-cases.patch
      Ignore sigabrt in sage_object.pyx doctest.
  * Add dbg packages to the pkg.sagemath.dbg build-profile to make
    stack traces work.
  * Touch the dummy spkg file to avoid rebuilds in some cases.

 -- Tobias Hansen <thansen@debian.org>  Sun, 11 Feb 2018 21:20:28 +0000

sagemath (8.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Sat, 30 Dec 2017 12:26:04 +0100

sagemath (8.1-1) experimental; urgency=medium

  * New upstream version.

 -- Tobias Hansen <thansen@debian.org>  Thu, 28 Dec 2017 18:31:24 +0100

sagemath (8.1~rc0-1) experimental; urgency=medium

  [ Gianfranco Costamagna ]
  * Drop lcalc binNMU requirement, now it is satisfied everywhere
    and breaks debian derivatives.

  [ Tobias Hansen ]
  * New upstream version.
  * New (Build-)Depends:
    - libflint-arb-dev (>= 2.11.1)
    - python-cypari2 (>= 1.1.3)
    - python-numpy (>= 1:1.13)
    - brial (>= 1.0.1)
    - fplll (>= 5.2.0)
    - python-fpylll (>= 0.3.0)
  * Changed (Build-)Depends: (Closes: #880781)
    - (libgd2-noxpm-dev | libgd2-xpm-dev) to libgd-dev
  * New patches:
    - d0-pari-2.9-revert-23544.patch
  * Remove patches:
    - u0-version-pynac-0.7.12.patch
    - u2-fix-less-trivial-test-cases.patch

  [ Julien Puydt ]
  * Bump d/watch to version 4.

  [ Ximin Luo ]
  * New patches:
    - u1-version-ipython-5.4.patch

 -- Tobias Hansen <thansen@debian.org>  Mon, 13 Nov 2017 22:05:10 +0100

sagemath (8.1~beta7-1) experimental; urgency=medium

  * New upstream version.
  * New (Build-)Depends:
    - libpynac-dev (>= 0.7.12)
    - python-cypari2 (>= 1.1.1)
    - python-typing
  * Remove patches (applied upstream):
    - u0-version-cython-0.26.patch               #23360
    - u0-version-scipy-0.19.1.patch              #23594
    - u0-version-sphinx-1.6.patch                #23023
    - u1-pip-nowarn.patch                        #21835
    - u1-more-sphinx-1.5-fixes.patch             #23364
    - d0-cython-sys-path.patch
    - df-silence_debian_bug_780186.patch
  * Patches with non-trivial modifications:
    - u2-allow-override-sage-local.patch
    - u2-fix-trivial-test-cases.patch
    - u2-fix-less-trivial-test-cases.patch
    - d0-paths.patch
    - df-revert-lazy-import-dependent-on-python-patch.patch
  * New patches:
    - u0-version-pynac-0.7.12.patch

 -- Tobias Hansen <thansen@debian.org>  Sun, 15 Oct 2017 20:33:50 +0100

sagemath (8.0-9) unstable; urgency=medium

  [ Tobias Hansen ]
  * Changed (Build-)Depends: (Closes: #880781)
    - (libgd2-noxpm-dev | libgd2-xpm-dev) to libgd-dev

  [ Ximin Luo ]
  * New patches:
    - u1-version-ipython-5.4.patch

 -- Ximin Luo <infinity0@debian.org>  Fri, 10 Nov 2017 14:45:27 +0100
