=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
            Julien Puydt <julien.puydt@laposte.net>,
            Jerome Benoit <calculus@rezozer.net>,
            Ximin Luo <infinity0@debian.org>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.2
 X-Python-Version: 2.7
 Homepage: http://www.sagemath.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/sagemath.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/sagemath.git
+Vcs-Git: https://salsa.debian.org/science-team/sagemath.git
+Vcs-Browser: https://salsa.debian.org/science-team/sagemath
 Build-Depends:
  cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
- cython (>= 0.25~),
+ cython (>= 0.26~),
  ecl (>= 16.1.2),
  ecl (<< 16.1.3),
  eclib-tools (>= 20170122),
@@ -27,7 +27,7 @@
  ipython (>= 5.1.0-2),
  iso-codes,
  jmol (>= 14.6.4),
- lcalc (>= 1.23+dfsg-6build1),
+ lcalc (>= 1.23+dfsg-6),
  less,
  libcdd-tools (>= 094h),
  libjs-mathjax,
@@ -48,14 +48,15 @@
  python-alabaster,
  python-babel,
  python-backports-abc,
+ python-backports.functools-lru-cache,
  python-backports-shutil-get-terminal-size,
  python-backports.ssl-match-hostname,
- python-brial (>= 0.8.5),
+ python-brial (>= 1.0.1),
  python-configparser,
  python-crypto,
  python-cvxopt,
  python-cycler,
- python-cypari2,
+ python-cypari2 (>= 1.1.3),
  python-cysignals-pari (>= 1.6.4),
  python-decorator,
  python-docutils,
@@ -66,7 +67,7 @@
  python-flask-oldsessions,
  python-flask-openid,
  python-flask-silk,
- python-fpylll (>= 0.2.4),
+ python-fpylll (>= 0.3.0),
  python-functools32,
  python-future,
  python-gd,
@@ -75,12 +76,12 @@
  python-ipython-genutils,
  python-itsdangerous,
  python-jsonschema,
- python-matplotlib,
+ python-matplotlib (>= 2.1),
  python-mistune,
  python-moinmoin,
  python-mpmath,
  python-networkx,
- python-numpy (>= 1:1.12.0~rc2),
+ python-numpy (>= 1:1.13),
  python-openid,
  python-path,
  python-pathlib2,
@@ -104,12 +105,14 @@
  python-singledispatch,
  python-snowballstemmer,
  python-sphinx (>= 1.6),
+ python-subprocess32,
  python-sympy,
  python-terminado,
  python-tk,
  python-tornado,
  python-traitlets,
  python-twisted,
+ python-typing,
  python-tz,
  python-vcversioner,
  python-wcwidth,
@@ -140,29 +143,31 @@
  python-notebook (>= 4.2.3-3),
  autoconf,
  ccache <pkg.sagemath.ccache>,
+ cython-dbg <pkg.sagemath.dbg>,
  debhelper (>= 10),
  dh-python (>= 2.20170125),
  dpkg-dev (>= 1.17.14),
  gdb,
  git,
  gnutls-dev,
+ libc6-dbg <pkg.sagemath.dbg>,
  libgap-sage-dev (>= 4.8.6),
  libblas-dev,
  libboost-dev (>= 1.55),
- libbrial-dev (>= 0.8.7),
- libbrial-groebner-dev (>= 0.8.7),
+ libbrial-dev (>= 1.0.1),
+ libbrial-groebner-dev (>= 1.0.1),
  libcdd-dev (>= 094h),
  libcliquer-dev,
  libec-dev (>= 20170122),
  libecm-dev,
- libflint-arb-dev (>= 2.8.1-2),
- libflint-dev (>= 2.5.2-5+b2),
- libfplll-dev (>= 5.1.0-2~sage1),
+ libflint-arb-dev (>= 2.11.1-2),
+ libflint-dev (>= 2.5.2-5),
+ libfplll-dev (>= 5.2.0),
  libfreetype6-dev,
  libgc-dev,
  libgcrypt-dev,
- libgd2-noxpm-dev | libgd2-xpm-dev,
- libgf2x-dev,
+ libgd-dev,
+ libgf2x-dev (>= 1.2-4),
  libgiac-dev (>= 1.2.3.25+dfsg1-3),
  libgivaro-dev (>= 4.0.2-7~),
  libglpk-dev,
@@ -185,7 +190,7 @@
  libplanarity-dev,
  libpng-dev,
  libppl-dev (>= 1:1.1),
- libpynac-dev (>= 0.7.8-2~sage1),
+ libpynac-dev (>= 0.7.12),
  libratpoints-dev,
  libreadline-dev,
  librw-dev,
@@ -195,6 +200,8 @@
  libzn-poly-dev,
  pkg-config,
  python-dev,
+ python-dbg <pkg.sagemath.dbg>,
+ python-cysignals-pari-dbgsym <pkg.sagemath.dbg>,
  python3-dev,
  r-base-dev,
  rdfind,
@@ -218,7 +225,7 @@
  This package contains the main SageMath installation.
 Depends: ${misc:Depends}, ${shlibs:Depends}, ${python:Depends},
  cysignals-tools (>= 1.2.0+ds-2) <!nodoc>,
- cython (>= 0.25~),
+ cython (>= 0.26~),
  ecl (>= 16.1.2),
  ecl (<< 16.1.3),
  eclib-tools (>= 20170122),
@@ -231,7 +238,7 @@
  ipython (>= 5.1.0-2),
  iso-codes,
  jmol (>= 14.6.4),
- lcalc (>= 1.23+dfsg-6build1),
+ lcalc (>= 1.23+dfsg-6),
  less,
  libcdd-tools (>= 094h),
  libjs-mathjax,
@@ -252,14 +259,15 @@
  python-alabaster,
  python-babel,
  python-backports-abc,
+ python-backports.functools-lru-cache,
  python-backports-shutil-get-terminal-size,
  python-backports.ssl-match-hostname,
- python-brial (>= 0.8.5),
+ python-brial (>= 1.0.1),
  python-configparser,
  python-crypto,
  python-cvxopt,
  python-cycler,
- python-cypari2,
+ python-cypari2 (>= 1.1.3),
  python-cysignals-pari (>= 1.6.4),
  python-decorator,
  python-docutils,
@@ -270,7 +278,7 @@
  python-flask-oldsessions,
  python-flask-openid,
  python-flask-silk,
- python-fpylll (>= 0.2.4),
+ python-fpylll (>= 0.3.0),
  python-functools32,
  python-future,
  python-gd,
@@ -279,12 +287,12 @@
  python-ipython-genutils,
  python-itsdangerous,
  python-jsonschema,
- python-matplotlib,
+ python-matplotlib (>= 2.1),
  python-mistune,
  python-moinmoin,
  python-mpmath,
  python-networkx,
- python-numpy (>= 1:1.12.0~rc2),
+ python-numpy (>= 1:1.13),
  python-openid,
  python-path,
  python-pathlib2,
@@ -308,12 +316,14 @@
  python-singledispatch,
  python-snowballstemmer,
  python-sphinx (>= 1.6),
+ python-subprocess32,
  python-sympy,
  python-terminado,
  python-tk,
  python-tornado,
  python-traitlets,
  python-twisted,
+ python-typing,
  python-tz,
  python-vcversioner,
  python-wcwidth,
@@ -341,6 +351,7 @@
  sagetex,
  texlive-latex-base
 Suggests:
+ dot2tex,
  gap-design,
  gap-factint,
  gap-grape,
@@ -436,11 +447,3 @@
  SageMath is a free open-source mathematics software system licensed under the
  GPL. It builds on top of many existing open-source packages: NumPy, SciPy,
  matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined
- power through a common, Python-based language or directly via interfaces or
- wrappers.
- .
- Mission: Creating a viable free open source alternative to Magma, Maple,
- Mathematica and Matlab.
- .
- This package contains documentation in English.
- .
