=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,7 @@
 include /usr/share/dpkg/pkg-info.mk
 include /usr/share/dpkg/architecture.mk
 
-MAX_TEST_FAILURES = 50
+MAX_TEST_FAILURES = 62
 MAX_TEST_FAILURES_RERUN = $(shell expr 2 \* $(MAX_TEST_FAILURES))
 
 # If we're doing a pre-release, then be less strict about test failures, etc
@@ -29,6 +29,12 @@
 is_prerelease = true
 else
 is_prerelease = false
+endif
+
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+else
+NUMJOBS = 1
 endif
 
 # Some buildds are a bit slow, see https://buildd.debian.org/status/logs.php?pkg=gcc-7 for a fuller list
@@ -64,12 +70,6 @@
 DOCS_DOC_BASE = $(LANGS:%=debian/sagemath-doc-%.doc-base)
 DOCS_OVERRIDES = $(LANGS:%=debian/sagemath-doc-%.lintian-overrides)
 DOCS_INSTALL_DIRS = $(LANGS:%=debian/sagemath-doc-%)
-
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-else
-NUMJOBS = 1
-endif
 
 ifneq (1,$(TRY_AVOID_REBUILD))
 REBUILD_RULES = debian/rules
